YAVDR 0.3

MythTV, Tvtime, Mplayer etc.
Anche programmi o script di conversione tipo
projectx, transcode, vdrconvert, dvdauthor etc.

Moderatori: ragno, davidea, tapino, alez, zulu

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 01 mar 2011, 00:38

davidea ha scritto:ma a voi non da' su i nervi il fatto che non ci sia il completamento automatico dei comandi con i vari parametri (ad esempio apt-get inst , tasto tab, completa il parametro install) ???? che manchino in botto di comandi (mc, locate e tanti altri!!)
aaaaaaahhhhhhhhhhh almeno questo l' ho risolto!!!!!!


seguendo
questo link http://ubuntuforums.org/showpost.php?p= ... stcount=10
e questo link http://www.webupd8.org/2010/03/how-to-a ... ceded.html

per brevita, aprire con un' editor testi /etc/bash.bashrc

trovare le righe

Codice: Seleziona tutto

# enable bash completion in interactive shells
if [ -f /etc/bash_completion ]; then
    . /etc/bash_completion
fi
ed eliminare i cancelletti davanti al ciclo if

.... [codice eliminato perche' mi son reso conto non necessario]


cosi' funzionera sia come utente normale che come sudo! :ciao:

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 02 mar 2011, 00:44

ceo16 ha scritto:

se siamo arrivati fino a qui dobiamo essere gia apposto con le librerie per compilare yavdr

Codice: Seleziona tutto

cd /usr/local/src
apt-get source vdr
cd vdr-1.7.16
dpatch apply-all
ok, scaricato i sorgenti, mi sorge un dubbio, nella root della dir dove ero, mi ritrovo i seguenti file pure


vdr-1.7.16
vdr_1.7.16-24yavdr1.diff.gz
vdr_1.7.16-24yavdr1.dsc
vdr_1.7.16.orig.tar.gz

la prima dir, e' vdr , OK
l' ultimo file, sembra essere il file compresso della dir di sopra
il file dsc, e' la descrizione del pacchetto

ma il file yavdr1.diff.gz ?

e' gia' applicato?

in ogni caso, mentre per i vari pacchetti tipo xine, posso comprendere che ci siano degli upgrade, per vdr non riesco a capire cosa abbiano messo in piu se e' sempre 1.7.16 ????

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 02 mar 2011, 02:08

......... vicolo cieco.... dopo l' upgrade, non funge piu' niente, il sistema sembra impazzito, con un kernel, mi tenta di compilare i moduli per un' altro kernel......

che dite domani riaprto da zero sempre con yavdr, o col semplice ubuntu 10.10 ? datemi dei validi motivi per continuare a sbattermi con yavdr!

Avatar utente
Gringo
Messaggi: 1796
Iscritto il: 21 gen 2007, 20:36

Re: YAVDR 0.3

Messaggio da Gringo » 02 mar 2011, 02:48

Il fatto che un ricevitore tipo DM costa meno di € 200 ? :-)
VDRBOX:
Software: ArchLinux 0.8 Don't Panic, VDR 1.6.0-2 con Extension Patch v.62 (> 70 plugins in IT)
Hardware: Intel P4 2,4 Ghz, 1 GB RAM, DVB-S Hauppauge WinTV Nexus-S rev 2.1, DVB-T Terratec Cinergy 1400, telecomando Terratec
Case: Compaq D510 SFF

Avatar utente
von fritz
Messaggi: 1478
Iscritto il: 19 gen 2007, 00:33

Re: YAVDR 0.3

Messaggio da von fritz » 02 mar 2011, 04:44

Hello
davidea ha scritto:...........
in ogni caso, mentre per i vari pacchetti tipo xine, posso comprendere che ci siano degli upgrade, per vdr non riesco a capire cosa abbiano messo in piu se e' sempre 1.7.16 ????
il vdr (1.7.16) che trovi in yavdr e' patchato.
Queste sono le patch appliccate:
framedetect.dpatch
hard_link_cutter.dpatch
recordshowfree.dpatch
osdbase-maxitems.dpatch
dvbplayer-no-busy.dpatch
sortrecordings.dpatch
tools-c.dpatch
graphtft.dpatch
channels.conf.terr-fix.dpatch
default_svdrp_port_0.dpatch
valgrind.dpatch
MainMenuHooks.dpatch
rotor.dpatch
vdr-workaround-broken-sys-capability.dpatch
liemikuutio.dpatch
internal-cam-devices.dpatch
timer-info.dpatch
jumpplay.dpatch
frameDuration.dpatch
graphtft-liemikuutio.dpatch
wareagleicon.dpatch
reelchannelscan.dpatch
timeshift-wait.dpatch
no-retune-on-tid.dpatch
Make_config.dpatch
cuttime.dpatch
vdr-remote_instant_recordings.dpatch
volume.dpatch
pin.dpatch
menuorg.dpatch
yaepg.dpatch
ttxtsubs.dpatch
ncursesw-include.dpatch
noepg.dpatch
ext-graphtft.dpatch
recordinginfo.dpatch
lnb-sharing.dpatch
cap_sys_tty_config.dpatch
newplugin.dpatch
disableDoubleEpgEntrys.dpatch
edit_marks.dpatch
:o questa e una differenza tra una yavdr e una ubu classica.nella ubu ci devi pensare tu ad applicarle.

yavdr e’ una distro mantenuta dal team di yavdr. dunque ogni volta che ci sono aggiornamenti su patch o p. es. Reinhard Nissl che pubblica una diff su vdrportal per le xinelib e il team yavdr la ritiene utile, la applica e aggiorna il pacchetto xinelib.

queste le ultime 5 versioni di vdr (1.7.16):
vdr (1.7.16-24yavdr1)

* temporary disabled subdevice patch

vdr (1.7.16-23yavdr2)

* new lnb-sharing patch
* new subdevice patch

vdr (1.7.16-23yavdr1)

* removed livebuffer patches

vdr (1.7.16-22yavdr1)

* new subdevice patch 0.0.5f

vdr (1.7.16-21yavdr1)

* new lnb-sharing patch

Gerald Dachs <gda@dachsweb.de> Tue, 08 Feb 2011 21:59:43 +0100
come vedi, nel ultimo mese hanno aggiornato per 5 volte vdr (1.7.16)
a te la scelta.

@gringo, ci compriamo tutti (escluso me) un DM da 200euri, cosi chiudiamo baracca.
poi pero' la cioccolata svizzera te la devi comprare! :si:

bye
VDRBOX-HD : in pensione!
ALTRO : freerunner (openmoko) ; nokia n900 ; 2 seagate dockstar, samsung ps64d8000, diversi dispositivi ARM (Allwinner, Amlogic) ;)
Don't feed the trolls non alimentate sistemi proprietari ;)

Linux rulez! :)

Avatar utente
Gringo
Messaggi: 1796
Iscritto il: 21 gen 2007, 20:36

Re: YAVDR 0.3

Messaggio da Gringo » 02 mar 2011, 13:40

von fritz ha scritto: @gringo, ci compriamo tutti (escluso me) un DM da 200euri, cosi chiudiamo baracca.
poi pero' la cioccolata svizzera te la devi comprare! :si:

bye
Beh, potremo convertire il raduno in una mangiata tra amici e portare tutta la cioccolata che vogliamo!!!
VDRBOX:
Software: ArchLinux 0.8 Don't Panic, VDR 1.6.0-2 con Extension Patch v.62 (> 70 plugins in IT)
Hardware: Intel P4 2,4 Ghz, 1 GB RAM, DVB-S Hauppauge WinTV Nexus-S rev 2.1, DVB-T Terratec Cinergy 1400, telecomando Terratec
Case: Compaq D510 SFF

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 06 mar 2011, 03:32

mi son inoltre resoconto che comunque si mi compleava i comandi , ma non gli argomenti, ho cercato, e ho scoperto (l' acqua calda!!!) che vi e' una dir /etc/bash_completion.d che contine e al suo interno tutti gli script per completare i comandi con i giusti argomenti!!!

inoltre ho capito, che scaricando di vdr, le patch di cui si parlava non vengono applicate automaticamente, ma solo a seguito del comando dpatch apply-all, quindi fin ad ora la mia vecchia yavdr che rimane viva solo su backup era andata avanti senza le patch!!!!!

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 06 mar 2011, 17:19

ragazzi, qualcuno ha esperienza recente di compilazione di vdr 1.7.16 sotto yavdr?
io se compilo senza applicare dpatch vdr mi esce con l' errore

Codice: Seleziona tutto

Mar  6 16:09:09 vdrhd vdr: [18210] ERROR: /usr/lib/vdr/plugins/libvdr-extrecmenu.so.1.7.16: undefined symbol: _ZN7cStatus18MsgOsdSetRecordingEPK10cRecording
errore che non e' connesso col plugin, perche' se cambio il primo plugin, anche quello dara' un' errore simile

se invece applico dpatch, non ho piu' quest errore ma vdr si riavvia continuamente

Codice: Seleziona tutto

Mar  6 16:15:47 vdrhd vdr: [25785] loading /var/lib/vdr/themes/anthra_1920_FS-yabluelight.theme
Mar  6 16:15:47 vdrhd vdr: [25785] switching to channel 103
Mar  6 16:15:47 vdrhd vdr: [25785] ERROR: device 10 reported an invalid number (0) of supported delivery systems - assuming 1
Mar  6 16:15:50 vdrhd vdr-sxfe[25872]: [25872] [scrnsaver] Failed to open connection to bus: /bin/dbus-launch terminated abnormally without any error message
e' dirimente l' applicazione della patch

opt-50_graphtft

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 06 mar 2011, 22:09

comunque, anche applicando tutte le patch a meno della 64 lnb sharing, ed applicando la patch unicable manualmente non ne vengo fuori, ho sempre il secondo tipo d'errore

Avatar utente
von fritz
Messaggi: 1478
Iscritto il: 19 gen 2007, 00:33

Re: YAVDR 0.3

Messaggio da von fritz » 06 mar 2011, 23:50

Hello

i plugghi dopo aver modificato/compilato VDR li ricompili vero?
:roll:

compili a mano o ti fai il pacchetto .deb?

bye
VDRBOX-HD : in pensione!
ALTRO : freerunner (openmoko) ; nokia n900 ; 2 seagate dockstar, samsung ps64d8000, diversi dispositivi ARM (Allwinner, Amlogic) ;)
Don't feed the trolls non alimentate sistemi proprietari ;)

Linux rulez! :)

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 07 mar 2011, 00:52

von fritz ha scritto:Hello

i plugghi dopo aver modificato/compilato VDR li ricompili vero?
:roll:
ovviamente no, sto tentando di utiilizare i pluggo standard, e la cosa dovrebbe pure funzionare visto che nell''installazione precedente fatta a gennaio era andato tutto liscio,
comunque visto che lo hai detto, l' ho fatto!!!!!!! GRRRRRRRRRRRRRRRRRRRR

Codice: Seleziona tutto

Mar  6 23:50:43 vdrhd vdr: [6710] initializing plugin: loadepg (0.2.3): Carica EPG tipo MediaHighWay, SkyBox, da script o file
Mar  6 23:50:43 vdrhd vdr: [6710] setting primary device to 4
Mar  6 23:50:45 vdrhd vdr-crash: vdr exit with exit status  . Restarting
M
ho solo cambiato il motivo perche' non va!!!!!
von fritz ha scritto:compili a mano o ti fai il pacchetto .deb?

bye
compilo a mano e copio nelle dir a mano!!!

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 09 mar 2011, 01:49

dai che credo di aver risolto, (forse, lo spero)
tutta una serie di plugin , che credevo non venissero utilizzati e che mandavano in segfault, in particolare IPTV, che credevo non venisse neanche richiamato perche non ho nessun canale iptv!!!!
me ne sono accorto per caso con dmesg, dove c'era li' una riga di segfault del plugin, ora vediamo cosa ne viene fuori......
a questo punto se debbo compilarmi a manina tutti i plugin, mi sa' che e' piu' igienico rimuoverli tutti da apt-get, in modo che non mi venga proposto di aggiornarli.
ps. per ora la prova l' ho fatta solo con vdr 1.7.16 liscio, solo la patch unicable senza tutte le dpatch, domani provo con le dpatch e vediamo!!!

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 21 giu 2013, 01:00

ceo16 ha scritto: .
.
.
se siamo arrivati fino a qui dobiamo essere gia apposto con le librerie per compilare yavdr

Codice: Seleziona tutto

cd /usr/local/src
apt-get source vdr
cd vdr-1.7.16
dpatch apply-all
.
.
.

Codice: Seleziona tutto

make plugins REMOTE=LIRC CONFDIR=/var/lib/vdr LOCDIR=/usr/share/locale VIDEODIR=/var/lib/video.00 PLUGINLIBDIR=/usr/lib/vdr/plugins
adesso scarichiamo il plugin bouquets della reel

Codice: Seleziona tutto

cd PLUGINS/src
svn co svn://reelbox.org/testing/src/vdr-plugins/src/bouquets-0.1  r 15566
e lo rinominiamo in bouquets

ora basta tornare nella cartella vdr-1.7.16 e dare make plugins.


oggi dopo piu' di 4 mesi che ero senza l' epg , ho cercato sul forum e anche se relativo ad altro, ho trovato cio' che cercavo! ed ho messo su loadepg!!!!!!!!!

grazie ceo e grazie a tutti!!!!

Avatar utente
ragno
Messaggi: 3017
Iscritto il: 20 gen 2007, 10:43
Località: Marte e dintorni
Contatta:

Re: YAVDR 0.3

Messaggio da ragno » 21 giu 2013, 14:25

Ma yavdr 0,4? Almeno saremmo in 2 ad utilizzarlo :)

:ciao:
vdr: 1.4.7+extpatch54 (pensionata), 1.7.27 (yavdr 0.4)
Percorri la via che porta al sole,
e non camminare sui sentieri oscuri.

E quando penso che sia finita,
è proprio allora che comincia la salita.

davidea
Messaggi: 1274
Iscritto il: 16 ago 2009, 13:32
Località: Palermo
Contatta:

Re: YAVDR 0.3

Messaggio da davidea » 21 giu 2013, 22:07

no yavdr 0.5 , ma il processo e' lo stesso!!!!!

Rispondi

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti